%global pypi_name check-manifest

Name:           python-%{pypi_name}
Version:        0.37
Release:        1%{?dist}
Summary:        Check MANIFEST.in in a Python source package for completeness

License:        MIT
URL:            https://github.com/mgedmin/check-manifest
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(setuptools)

# the tests require at least one version control system to be installed
BuildRequires:  git


%description
Are you a Python developer? Have you uploaded packages to the Python
Package Index? Have you accidentally uploaded *broken* packages with
some files missing? If so, check-manifest is for you.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(mock)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
Are you a Python developer? Have you uploaded packages to the Python
Package Index? Have you accidentally uploaded *broken* packages with
some files missing? If so, check-manifest is for you.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
# There is one test that fails because there is no /usr/bin/python
# disabling for now
#%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.rst
%doc README.rst
%{_bindir}/check-manifest
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/check_manifest.py
%{python3_sitelib}/check_manifest-%{version}-py?.?.egg-info

%changelog
* Sat Sep  1 2018 José Matos <jamatos@fedoraproject.org> - 0.37-1
- initial package.
